%define upstream_name    PAUSE-Permissions
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    PAUSE permissions for one module (from 06perms.txt)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PAUSE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Options)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Duration::Parse)
BuildRequires: perl(autodie)
BuildRequires: perl(feature)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
PAUSE::Permissions provides an interface to the '06perms.txt' file produced
by the Perl Authors Upload Server (PAUSE). The file records who has what
permissions for every module on CPAN. The format and interpretation of this
file are covered in the /"The 06perms.txt file" manpage below.

By default, the module will mirror '06perms.txt' from CPAN, using the
HTTP::Tiny manpage to request it and store it locally. By default it will
get the file from the https://www.cpan.org manpage, but you can pass an
alternate URI to the constructor:

  $perms_uri = "http://$CPAN_MIRROR/modules/06perms.txt";
  $pp = PAUSE::Permissions->new(uri => $perms_uri);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/pause-permissions
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.170.0-6.mga10
+ Revision: 2208600
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.170.0-5.mga9
+ Revision: 1818971
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-4.mga8
+ Revision: 1505776
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-3.mga7
+ Revision: 1285459
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.170.0-2.mga7
+ Revision: 1166141
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.170.0-1.mga7
+ Revision: 1158025
- update to 0.17

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1031928
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 1002280
- New version 0.16

* Fri Feb 19 2016 umeabot <umeabot> 0.140.0-2.mga6
+ Revision: 967700
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 850040
- update to 0.14

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 742250
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 685799
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 670896
- update to 0.10

* Tue Apr 15 2014 jquelin <jquelin> 0.90.0-1.mga5
+ Revision: 614954
- update to 0.09

* Fri Mar 14 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 603731
- update to 0.08

* Sat Feb 08 2014 sander85 <sander85> 0.70.0-1.mga5
+ Revision: 586354
- update to 0.07

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-2.mga4
+ Revision: 533366
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 0.50.0-1.mga4
+ Revision: 472685
- update to 0.05

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 371179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 315806
- update to 0.04

* Tue Oct 16 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 307208
- imported package perl-PAUSE-Permissions


* Tue Oct 16 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
